
public class Main {

	public static void main(String[] args) {
		LinkedList l = new LinkedList();
		l.add(4, 2);
		l.add(5, 1);
		l.add(7, 5);
		l.add(10, 2);
		l.add(12, 2);
		l.add(99, 0);

	
		l.print();

	    LinkedList l2 = new LinkedList();
		l2.add(4, 4);
		l2.add(5, 2);
		l2.add(7, 10);
		l2.add(11, 1);
		l2.add(12, 2);
		l2.add(500, 2);
		l2.add(900, 0);
	
		System.out.println("------------------");
		l2.print();
		
		System.out.println("--------------------");

		LinkedList finalList = l.sum(l2);
		finalList.print();
		
	
	}

}
